japa.parser.ast.expr

## Enum BinaryExpr.Operator

- java.lang.Object
- - java.lang.Enum<BinaryExpr.Operator>
  - - japa.parser.ast.expr.BinaryExpr.Operator

All Implemented Interfaces:
  Serializable, Comparable<BinaryExpr.Operator>

Enclosing class:
  BinaryExpr

    public static enum BinaryExpr.Operator
    extends Enum<BinaryExpr.Operator>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`and`
`binAnd`
`binOr`
`divide`
`equals`
`greater`
`greaterEquals`
`less`
`lessEquals`
`lShift`
`minus`
`notEquals`
`or`
`plus`
`remainder`
`rSignedShift`
`rUnsignedShift`
`times`
`xor`

### Method Summary

Methods
`static BinaryExpr.Operator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BinaryExpr.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### or

    public static final BinaryExpr.Operator or

#### and

    public static final BinaryExpr.Operator and

#### binOr

    public static final BinaryExpr.Operator binOr

#### binAnd

    public static final BinaryExpr.Operator binAnd

#### xor

    public static final BinaryExpr.Operator xor

#### equals

    public static final BinaryExpr.Operator equals

#### notEquals

    public static final BinaryExpr.Operator notEquals

#### less

    public static final BinaryExpr.Operator less

#### greater

    public static final BinaryExpr.Operator greater

#### lessEquals

    public static final BinaryExpr.Operator lessEquals

#### greaterEquals

    public static final BinaryExpr.Operator greaterEquals

#### lShift

    public static final BinaryExpr.Operator lShift

#### rSignedShift

    public static final BinaryExpr.Operator rSignedShift

#### rUnsignedShift

    public static final BinaryExpr.Operator rUnsignedShift

#### plus

    public static final BinaryExpr.Operator plus

#### minus

    public static final BinaryExpr.Operator minus

#### times

    public static final BinaryExpr.Operator times

#### divide

    public static final BinaryExpr.Operator divide

#### remainder

    public static final BinaryExpr.Operator remainder

### Method Detail

#### values

    public static BinaryExpr.Operator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BinaryExpr.Operator c : BinaryExpr.Operator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BinaryExpr.Operator valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null